Bug 92187 - Poor NFS server performance under load
Poor NFS server performance under load
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-03 14:07 EDT by Joshua Weage
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 07:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Weage 2003-06-03 14:07:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
The server is a Dell PowerEdge 1650 2x1.13 GHz PIII.

I have a large RAID filesystem exported, which is connected to an Adaptec 39160
controller.  I also have a second filesystem exported from the internal PERC 3di
RAID controller for testing.

Read/write performance from clients is mostly ok, until I access the filesystem
while logged into the server itself.  For example, if I create a file using dd
on the server, and attempt to do the same from a client, the client gets nearly
zero IO until the server is finished creating the file.  Also, the server
responds very slowly to terminal input while this is happening.  Creating files
from two separate NFS clients sees good performance on both.

I have tried both NFS mounting the filesystem back to the server, and accessing
the filesystem directly from the server.  Both result in the same extremely poor
performance for all NFS clients if a file access occurs on the server itself. 
This happens for both filesystems described above.

I've upgraded the nfs-utils package to 1.0.3 and didn't see any change.





Version-Release number of selected component (if applicable):
2.4.20-13.7.smp

How reproducible:
Always

Steps to Reproduce:
1. Export NFS filesystem
2. Attempt to write to the filesystem from both the server and an NFS client
3. Observe slow server respone and poor IO performance.
    

Additional info:
Comment 1 Yusuf Goolamabbas 2003-09-10 01:19:27 EDT
Joshua, Do you see slowdowns if you were to use the Redhat 2.4.18-xx kernels

Note You need to log in before you can comment on or make changes to this bug.